cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
Developer forum

Outdated AddOn

Dayiz
Booster

Dear Community,

 

I managed to build my first AddOn and it works perfectly on my machine, but when i try it on another i always get the error "Diese Datei ist ein veraltetes Add-On, dass mit dieser Archicad Version nicht verwendet werden kann." (Deepl Translation: "This file is an obsolete add-on that cannot be used with this Archicad version.").

 

So I found

https://community.Graphisoft.com/t5/Developer-forum/Using-the-Development-Kit-with-Visual-Studio-202...

where a similiar problem is explained. I installed the previous MSVC v142 as explained in the post and added the parameter to my CMake Project

cmake.PNG

But even after just building the Example AddOn i got the same error on other machines.

I tried it through command prompt instead of using the CMake GUI

cmd cmake.PNG

But I'm still getting the error on other machines.

 

 

I also found something similiar in the FAQ:

https://archicadapi.Graphisoft.com/faq

 

The 2nd point of "My add-on runs perfectly on my development machine, but when I install it on the client’s machine it refuses to load." it says:

[...] The required runtime version can be correctly set in the add-on’s manifest file.

 

Where or what is that manifest file? I can't find any further explanation on it.

What am I missing?

1 ACCEPTED SOLUTION

Solution
Dayiz
Booster

Well, i found my problem. It was actually the first point of https://archicadapi.Graphisoft.com/faq , I always published a debug version and not a release version. So i changed the settings in VS to Build and it works!

But I'm still curious about the manifest file, still havn't found it

View solution in original post

3 REPLIES 3

Yes, otherwise it wouldn't work on my EDU version (addons without mdid should only work with demo versions of Archicad)

Solution
Dayiz
Booster

Well, i found my problem. It was actually the first point of https://archicadapi.Graphisoft.com/faq , I always published a debug version and not a release version. So i changed the settings in VS to Build and it works!

But I'm still curious about the manifest file, still havn't found it

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!